[Numpy-discussion] Medians that ignore values

Pierre GM pgmdevlist@gmail....
Fri Sep 19 04:58:58 CDT 2008


On Friday 19 September 2008 05:51:55 Peter Saffrey wrote:

> I would like to try the masked array approach, but the Ubuntu packages for
> scipy and matplotlib depend on numpy. Does anybody know whether I can
> naively do "sudo python setup.py install" on a more modern numpy without
> disturbing scipy and matplotlib, or do I need to uninstall all three
> packages and install them manually from source?

I think there were some changes on the C side of numpy between 1.0 and 1.1, 
you may have to recompile scipy and matplotlib from sources. What versions 
are you using for those 2 packages ?


More information about the Numpy-discussion mailing list